Skip to main content
GET
/
api
/
svc
/
v1
/
logs
Get Logs
curl --request GET \
  --url https://{controlPlaneURL}/api/svc/v1/logs \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "log": "<string>",
      "stream": "<string>",
      "time": "<string>",
      "job_name": "<string>",
      "containerName": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://www.truefoundry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startTs
integer<int64> | null

Start timestamp for querying logs, in nanoseconds from the Unix epoch.

endTs
integer<int64> | null

End timestamp for querying logs, in nanoseconds from the Unix epoch.

limit
integer | null

Max number of log lines to fetch

direction
enum<string>

Direction of sorting logs. Can be asc or desc

Available options:
asc,
desc
numLogsToIgnore
integer | null

Number of logs corresponding to the starting timestamp to be ignored.

applicationId
string | null

Application ID

applicationFqn
string | null

Application FQN

deploymentId
string | null

Deployment ID

jobRunName
string | null

Name of the Job Run for which to fetch logs.

podName
string | null

Name of Pod for which to fetch logs.

containerName
string | null

Name of the Container for which to fetch logs.

podNames
string[] | null

List of pod names for which to fetch logs.

podNamesRegex
string | null

Regex pattern for pod names to fetch logs.

searchFilters
string | null

JSON string containing array of search filters with string, type and operator

searchString
string | null

String that needs to be matched

searchType
enum<string>

Query filter type, regex substring ignore_case_substring Query filter type for logs search

Available options:
regex,
substring,
ignore_case_substring
searchOperator
enum<string>

Comparison operator for filter. equal or not_equal Comparison operator logs search

Available options:
equal,
not_equal

Response

Successfully retrieved logs for the workload

data
Log · object[]
required

List of logs